Last Comment Bug 369410 - Provide API for wrapping XPCOM and Java objects
: Provide API for wrapping XPCOM and Java objects
Status: RESOLVED FIXED
: fixed1.8.1.2, fixed1.8.1.4
Product: Core Graveyard
Classification: Graveyard
Component: Java to XPCOM Bridge (show other bugs)
: Other Branch
: All All
-- normal (vote)
: ---
Assigned To: jhp (no longer active)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-05 15:03 PST by jhp (no longer active)
Modified: 2014-09-24 05:43 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (9.50 KB, patch)
2007-02-05 15:03 PST, jhp (no longer active)
no flags Details | Diff | Splinter Review
patch (checked in) (16.35 KB, patch)
2007-02-06 09:25 PST, jhp (no longer active)
no flags Details | Diff | Splinter Review
patch for 1.8.1.x branch (checked in) (16.71 KB, patch)
2007-02-06 14:22 PST, jhp (no longer active)
jaymoz: approval1.8.1.2+
Details | Diff | Splinter Review
Windows name mangling fix (1.17 KB, patch)
2007-02-16 15:15 PST, jhp (no longer active)
dveditz: approval1.8.1.4+
Details | Diff | Splinter Review

Description User image jhp (no longer active) 2007-02-05 15:03:56 PST
Created attachment 254080 [details] [diff] [review]
patch

Provide an API for wrapping an XPCOM object in a Java Proxy, and for wrapping a Java object in an XPCOM proxy.

This API is needed for the Mozilla Everywhere project (https://bugs.eclipse.org/bugs/show_bug.cgi?id=154124), which will allow using Mozilla as the embedded browser in SWT across multiple platforms.  They have been experimenting with a private version of this patch.

This patch is spun off of the patch from bug 299263.
Comment 1 User image jhp (no longer active) 2007-02-06 09:25:46 PST
Created attachment 254177 [details] [diff] [review]
patch (checked in)

Previous patch was missing IJavaXPCOMUtils.java.
Comment 2 User image jhp (no longer active) 2007-02-06 14:22:51 PST
Created attachment 254213 [details] [diff] [review]
patch for 1.8.1.x branch (checked in)

Same patch, but for the MOZILLA_1_8_BRANCH.
Comment 3 User image jhp (no longer active) 2007-02-13 10:56:28 PST
Checked in to trunk.  ->FIXED
Comment 4 User image jhp (no longer active) 2007-02-13 11:23:06 PST
Comment on attachment 254213 [details] [diff] [review]
patch for 1.8.1.x branch (checked in)

I know it's rather late in the cycle, but I was wondering if I could sneak this in for 1.8.1.2.  This is a XULRunner- (and JavaXPCOM-) only patch.  As mentioned in the description, this is needed by the SWT guys, so they have a proper XR build to work with the latest SWT milestone changes.
Comment 5 User image Jay Patel [:jay] 2007-02-13 12:35:31 PST
Comment on attachment 254213 [details] [diff] [review]
patch for 1.8.1.x branch (checked in)

Approved for 1.8 branch, a=jay.  We need to respin for rc3 in a few hours, so please land this ASAP.
Comment 6 User image jhp (no longer active) 2007-02-13 13:03:16 PST
Checked in to MOZILLA_1_8_BRANCH.
Comment 7 User image jhp (no longer active) 2007-02-16 15:15:32 PST
Created attachment 255391 [details] [diff] [review]
Windows name mangling fix

Bloody hell.  I had this fix on my Windows machine, but I forgot to check it in.  Just checked it in to the trunk.

Any chance of getting this in for 1.8.1.2?  Once again, this is XULRunner only, and in no way affects Firefox.
Comment 8 User image Daniel Veditz [:dveditz] 2007-02-19 14:33:34 PST
Comment on attachment 255391 [details] [diff] [review]
Windows name mangling fix

We've already tagged and spun 4 release candidates for 1.8.1.2, this doesn't make it.
Comment 9 User image Daniel Veditz [:dveditz] 2007-03-29 11:16:50 PDT
Comment on attachment 255391 [details] [diff] [review]
Windows name mangling fix

approved for 1.8.1.4, a=dveditz for release-drivers
Comment 10 User image jhp (no longer active) 2007-04-03 12:12:31 PDT
Checked in Windows name mangling fix to MOZILLA_1_8_BRANCH.

Note You need to log in before you can comment on or make changes to this bug.